[Solved] Issue on subtitle program.

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read how to get help
Post Reply
rmlazzari
Level 1
Level 1
Posts: 32
Joined: Sat Jul 20, 2019 2:09 pm

[Solved] Issue on subtitle program.

Post by rmlazzari » Fri Aug 23, 2019 7:36 pm

Hi, I'm having some issues with video subtitle editing programs: None of the ones I installed can decode the video. When I click on the video in question, a .MKV file, the VLC that came bundled with Mint can properly decode, but the players built into them subtitle editing programs no.

I have installed "Subtitle Composer" (https://sourceforge.net/p/subcomposer/wiki/Home/) for KDE and "GNOME Subtitle" (https://sourceforge.net/projects/gnome-subtitles/ ) and both have the same problem: "Decoding error".

I believe that "Subtitle Workshop" would run smoothly, but as an experiment I would like to keep trying to use only compiled programs for Linux without Windows emulators. Other programs I didn't even know existed for Mint not only exist but are working very well. The guitar tuner (Lingot), CAD for electronic circuits (gEDA Schematic Editor) and digital oscilloscope (xoscope) are examples. Did I make a mistake when I installed both subtitle editing programs? If the problem happened in just one, I would have no suspicion ...

I apologize if this is not the best forum to ask for this help but I have not found any help groups for this particular issue.

At the same time, if not asking too much, I would answer two questions:

- I would like to learn how to uninstall programs without using "Application Manager", since in this utility does not appear "GNOME Subtitle", maybe because I have installed it by command something like "sudo apt-install" ...

- Is there a problem installing KDE programs on systems like the one I'm using, Mint?

Thank you.
Last edited by rmlazzari on Sun Aug 25, 2019 9:30 am, edited 1 time in total.
Linux Mint 19.2 Tina 64 - Base Ubuntu 18.4 bionic - Cinnamon 4.2.4 - Kernel 4.15.0-60-generic - Intel Core i3-2328M CPU @ - 2.20GHz x 2 - Mem 3.7GiB - Monitor 1366x768

ColdBootII
Level 5
Level 5
Posts: 521
Joined: Wed Aug 02, 2017 8:19 am

Re: Issue on subtitle program.

Post by ColdBootII » Sat Aug 24, 2019 4:56 am

Hi,

Most embedded subtitling software players rely on mplayer which is not developed anymore and cannot handle newer video codecs. I guess, that's why you're getting the error.

Now, I will try to answer regarding Subtitle Composer.

If you've installed from the link, it is a very old version. Perhaps, you have noticed the github link and installed from there? Also, you need to install mpv player from the PPA and set it as the Video player backend in Composer settings.

Cheers.

gm10
Level 19
Level 19
Posts: 9789
Joined: Thu Jun 21, 2018 5:11 pm

Re: Issue on subtitle program.

Post by gm10 » Sat Aug 24, 2019 5:19 am

Did I imagine replying to the same thread yesterday or did it get deleted?

Anyway, I'll mention again that there is subtitleeditor in the official repositories.
Tune up your LM 19.x: ppa:gm10/linuxmint-tools

rmlazzari
Level 1
Level 1
Posts: 32
Joined: Sat Jul 20, 2019 2:09 pm

Re: Issue on subtitle program.

Post by rmlazzari » Sat Aug 24, 2019 10:00 am

Thank you, gm10 and ColdBootII, I've installed the subtitleeditor from the repository and the problem ends. This subtitleeditor is a bit different of the program I used to use but not too different. All the fuctions needed by a simple home user are there.

And yes, I've recreated the thread as the old one was inadequate.

Last, I'd like to register that, using "Application Manager", I can uninstall both, GNOME Subtile and Subtitle Composer: Although GNOME Subtitle is not show in the installed list, it appears as I search typing it's name. And Subtitle Composer - sorry for previous question - it do appears in that list.

(Could you learn me how to get that list in alphabetical order? It's in ranking order, I guess, or popularity...)

Thank you again.
Linux Mint 19.2 Tina 64 - Base Ubuntu 18.4 bionic - Cinnamon 4.2.4 - Kernel 4.15.0-60-generic - Intel Core i3-2328M CPU @ - 2.20GHz x 2 - Mem 3.7GiB - Monitor 1366x768

gm10
Level 19
Level 19
Posts: 9789
Joined: Thu Jun 21, 2018 5:11 pm

Re: Issue on subtitle program.

Post by gm10 » Sat Aug 24, 2019 10:05 am

rmlazzari wrote:
Sat Aug 24, 2019 10:00 am
Although GNOME Subtitle is not show in the installed list,
Am I correct in assuming that you are not using LM 19.2? Because I fixed that for 19.2, so it should be shown in the list there.
rmlazzari wrote:
Sat Aug 24, 2019 10:00 am
(Could you learn me how to get that list in alphabetical order? It's in ranking order, I guess, or popularity...)
Yeah, the sorting (as well as or even in particular the search function) are a complete mess in Software Manager as far as I am concerned. I never touched that though, so there currently is no way to change the sorting.
Tune up your LM 19.x: ppa:gm10/linuxmint-tools

rmlazzari
Level 1
Level 1
Posts: 32
Joined: Sat Jul 20, 2019 2:09 pm

Re: Issue on subtitle program.

Post by rmlazzari » Sat Aug 24, 2019 2:30 pm

gm10 wrote:
Sat Aug 24, 2019 10:05 am
rmlazzari wrote:
Sat Aug 24, 2019 10:00 am
Although GNOME Subtitle is not show in the installed list,
Am I correct in assuming that you are not using LM 19.2? Because I fixed that for 19.2, so it should be shown in the list there.

No, as "System Information" advise, I'm in 19.1, yet. But now I've found instructions in Internet on how to update it and, as soon as other task running ends, I'll do that. I realy appreciate your help and I think I would be better no boring you with things I and people like me can find by ourselves. Thanks a lot, gm10!
(But be sure, when I have some doubt, I'll ask here again).
rmlazzari wrote:
Sat Aug 24, 2019 10:00 am
(Could you learn me how to get that list in alphabetical order? It's in ranking order, I guess, or popularity...)
Yeah, the sorting (as well as or even in particular the search function) are a complete mess in Software Manager as far as I am concerned. I never touched that though, so there currently is no way to change the sorting.
hehe... a "complete mess". As curiosity, many years ago, before retired, I've worked as COBOL for IBM System 370 programmer. My knowledge is now completely obsolete but I can understand that perfectly. So... right. And thank you again.
Linux Mint 19.2 Tina 64 - Base Ubuntu 18.4 bionic - Cinnamon 4.2.4 - Kernel 4.15.0-60-generic - Intel Core i3-2328M CPU @ - 2.20GHz x 2 - Mem 3.7GiB - Monitor 1366x768

gm10
Level 19
Level 19
Posts: 9789
Joined: Thu Jun 21, 2018 5:11 pm

Re: Issue on subtitle program.

Post by gm10 » Sat Aug 24, 2019 5:07 pm

rmlazzari wrote:
Sat Aug 24, 2019 2:30 pm
No, as "System Information" advise, I'm in 19.1, yet. But now I've found instructions in Internet on how to update it and, as soon as other task running ends, I'll do that. I realy appreciate your help and I think I would be better no boring you with things I and people like me can find by ourselves. Thanks a lot, gm10!
(But be sure, when I have some doubt, I'll ask here again).
No that's fine (and I appreciate it),. I guess I just meant to point out that the issue was fixed in a newer point release so do not expect a fix for your current point release ever.
Tune up your LM 19.x: ppa:gm10/linuxmint-tools

Post Reply

Return to “Newbie Questions”